package dev.micle.xptools.operation;

import javax.annotation.Nullable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class OperationCache {
    public static OperationCache blockBreakCache = new OperationCache();
    public static OperationCache entityKillCache = new OperationCache();
    private HashMap<String, List<OperationItem>> cache = new HashMap<>();

    private OperationCache() {}

    public void clear() {
        cache = new HashMap<>();
    }

    public @Nullable List<OperationItem> getEntry(String key) {
        if (cache.containsKey(key)) {
            return new ArrayList<>(cache.get(key));
        }
        return null;
    }

    public void addEntry(String key, List<OperationItem> value) {
        cache.putIfAbsent(key, new ArrayList<>(value));
    }

    public int size() {
        return cache.size();
    }
}
